Subject: [siprec] Relationship of names to AoRs

From: Paul Kyzivat <[email-masked]>
Date: Fri, 29 Jul 2011 21:29:57 -0400

In the session on thursday, there was agreement to go with my proposal 
to allow multiple names as well as multiple AoRs. My reason for this was 
because typically the headers that contain AoRs can also contain names, 
so we might get multiple names.

The straightforward way to deal with that in the metadata is with a 
structure akin to what comes in the sip: a sequence of AoRs, each with 
an optional name.

In discussion it came up that the SRS might want to choose which name 
(and AoR) it considers to the the significant one. If so, it might be 
necessary to know which kind of header it came from. (E.g. From, 
P-Asserted-Identity.)

We could do that, but it does add complexity to the metadata. Do people 
feel that is important information to capture in the metadata?

	Thanks,
	Paul